<?php

require_once("include_main.php");

function check() {
    $limit = 90;
    if(isset($_GET["limit"])) $limit = intval($_GET["limit"]);
    $info = MainMethods::getDiskInfo();
    if($info[MainMethods::diskUsePercent] >= $limit) {
        $msg = $info[MainMethods::diskUsePercent].
                "% of your main partition are full (size: ".
                $info[MainMethods::diskSize].", used: ".
                $info[MainMethods::diskUsed].", available: ".
                $info[MainMethods::diskAvailable].")";
        send_alarm("Disk nearly full", $msg, Alarms::alDiskFull);
    }
    else {
        clear_alarm(Alarms::alDiskFull);
    }
}

check();
global $mainSession;
$mainSession->destroy();
?>